Package: groovy.util

## [Java] Interface ChildPropertySetter

- Strategy for setting a child node on its parent.
  Useful for handling Lists/Arrays vs normal properties.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `setChild(Object parent, Object child, String parentName, String propertyName)` @param parent the parent's node value

- - ### Method Detail

    - #### public void setChild(Object parent, Object child, String parentName, String propertyName)

      Parameters:
        `parent` - the parent's node value
        `child` - the child's node value
        `parentName` - the name of the parent node
        `propertyName` - the resolved relation name of the child